%%%% compile MATLAB-Papaya interface
%%%% bug reports, questions and comments to 
%%%% Jenny Wagner (j.wagner@uni-heidelberg.de)

clear all;


%% set input specifications
% patch to gcc to be used:
gcc_compiler = '/usr/bin/gcc-4.7'
% directory to write compiled files in
output_directory = '/home/jennywagner/Documents/Gravitational_lensing/Code/MATLAB_Papaya_Interface'
% remove old *.o files
[o_files] = sprintf('%s/*.o',output_directory);

delete(o_files);

%% generate commands for compilation
[mex_command{1}] = sprintf('mex -v -c  -outdir %s -Ieinclude util.cpp', output_directory);
[mex_command{2}] = sprintf('mex -v -c GCC=%s -outdir %s -Ieinclude marching.cpp util.o', gcc_compiler, output_directory);
[mex_command{3}] = sprintf('mex -v -c GCC=%s -outdir %s -Ieinclude minkval.cpp util.o', gcc_compiler, output_directory);
[mex_command{4}] = sprintf('mex -v -c GCC=%s -outdir %s -Ieinclude label.cpp util.o', gcc_compiler, output_directory);
[mex_command{5}] = sprintf('mex -v -c GCC=%s -outdir %s -Ieinclude intersect.cpp util.o label.o', gcc_compiler, output_directory);
[mex_command{6}] = sprintf('mex -v GCC=%s -outdir %s -Ieinclude calculate_MF.cpp util.o marching.o minkval.o label.o intersect.o', gcc_compiler, output_directory);

%% compile
for cnt=1:1:6
    eval(mex_command{cnt}); 
end
